services:
  consents-web:
    build: .
    container_name: consents_web
    restart: always
    volumes:
      - ./:/usr/share/nginx/html
    expose:
      - "80"

  caddy:
    image: caddy:alpine
    container_name: consents_caddy
    restart: always
    ports:
      - "80:80"
      - "443:443"
    dns:
      - 8.8.8.8
      - 1.1.1.1
    volumes:
      - ./Caddyfile:/etc/caddy/Caddyfile
      - caddy_data:/data
      - caddy_config:/config

volumes:
  caddy_data:
  caddy_config:
